지원 티켓 만들기
팔로우

Q100314 : Linux에서의 Wacom 압력 감도 업데이트로 Mari 및 Nuke에 문제가 발생할 수 있음

개요

RHEL / CentOS 7.4와 같은 일부 Linux 버전은 기존 압력 감도 범위를 0 - 2048 에서 확장 된 0 - 65535 범위로 수정 한 X11 Wacom 드라이버 (0.34.2)와 함께 제공됩니다. 이것은 Nuke 및 Mari와 같은 일부 제품에서 압력 감도 인식과 관련하여 2047 이상의 민감도 값이 무시되어 사용자에게 예기치 않은 동작을 유발하는 문제를 일으 킵니다.

원인

최신 Wacom 드라이버는 민감도 범위를 0 - 2048 에서 0 - 65535로 변경했으며 Mari 또는 Nuke는 아직 지원하지 않습니다. 이것이 의미하는 바는 2048 이상의 모든 압력 ( 0 - 65535 의 범위에서 모든 값의 3 % 만 차지함)이 Mari 에 의해 등록되지 않으므로 그려지지 않습니다.


그림 1 : Mari의 0 - 2048 압력 감도 범위를 사용한 예.
그림 2 : Mari의 압력 감도 범위 0 - 65535를 사용한 예.

Nuke 에서 RotoPaint 노드를 사용할 때 압력 감도 범위에 대한이 수정 사항을 검사 할 수 있습니다. 아래의 예에서는 Clone Stamp 브러시를 사용할 때 가장 가벼운 압력 만 올바르게 등록됩니다. 2048 범위를 초과하는 압력은 복제 및 페인팅 할 때 예기치 않은 결과와 부정확 한 채도가 높은 색상을 만듭니다.


그림 3 : Nuke에서 0 - 2048 압력 감도 범위를 사용하는 예


그림 4 : Nuke에서 압력 감도 범위 0 - 65535를 사용하는 예

해결

우리는 자체 테스트를 집에서 수행 한 이후에 다음 릴리스에서 새로운 0.34.0 Wacom 드라이버에 대한 추가 지원을 구현하기 위해 각 제품에 대한 개별 기능 요청을 기록했습니다. 참고로 내부적으로 다음과 같이 기록됩니다.

TP 280527 - 새로운 와콤 (Wacom) 드라이버에 도입 된 압력 감도를 확장하기 위해 Mari에 지원을 추가하십시오

TP 280528 - 새로운 Wacom 드라이버에 도입 된 확장 된 압력 감도 수준을 위해 누크에서 지원을 추가하십시오


이 확장 된 0 - 66535 범위에 대한 지원을 제공 할 수있을 때까지 기기의 기능과 드라이버가 사전 설치되었는지 여부에 따라 가능한 두 가지 해결책이 있습니다. 시도해야합니다 :
1) 가능한 경우, 0.34.2 이전의 Wacom 드라이버로 롤백해야합니다

2) 드라이버를 롤백 할 수없는 경우 X11 Wacom 드라이버 (0.35.0)의 최신 릴리스에는 드라이버를 강제로 2048 개의 압력 수준으로 되 돌리는 데 사용할 수있는 새로운 xorg "Pressure2K"옵션이 포함되어 있습니다 . RHEL / CentOS 7.4 이상은이 옵션도 지원합니다.
업데이트 된 드라이버를 설치 한 후 /etc/X11/xorg.conf.d 디렉토리에 다음 내용으로 파일을 만드십시오.
섹션 "InputClass"
식별자 "Wacom 압력 호환성"
MatchDriver "wacom"
옵션 "Pressure2K" "true"
EndSection
참고 : 이 옵션은 xorg.conf / xorg.conf.d 에서만 사용할 수 있습니다.
경우에 따라 위의 워크 플로를 구현 한 후에 [CTRL][ALT] 와 같은 수정 자 키가 잘못 표시 될 수 있습니다. 이 경우 이동 키가 '최고 (또는'Windows 로고 ')로 설정되어 있는지 확인하여 제품 바로 가기를 방해하지 않도록 한 다음 마리 및 / 또는 핵을 다시 시작하십시오.
이 대화 상자는 Linux 시스템 환경 설정에서 찾을 수 있습니다 (시스템> 환경 설정> Windows).


그림 3 : 시스템> 환경 설정> Windows> 이동 키

도움이 되었습니까?
/

We're sorry to hear that!

Please tell us why.
10명 중 7명이 도움이 되었다고 했습니다.

댓글